@echo off

title SSEINFONET-LDDS-VDE-TEST
set JAVA_HOME=C:\Program Files\Java\jre1.8.0_191
set JAVA="%JAVA_HOME%\bin\java"



set basedir=..\


set CLASSPATH=.

set CLASSPATH=%CLASSPATH%;%basedir%

set CLASSPATH=%CLASSPATH%;%basedir%\lib\dom4j-1.6.1.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\ezsoft_step.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\hamcrest-core-1.3.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\json-20160212.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\ldds_pipe.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\log4j-1.2.12.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\openfast-1.1.2.jar

set CLASSPATH=%CLASSPATH%;%basedir%\lib\ldds-vde.jar

set CLASSPATH=%CLASSPATH%;%basedir%\conf



set sysprops=

set sysprops= %sysprops% -server

set sysprops= %sysprops% -Xms1024M -Xmx4096M

rem set sysprops= %sysprops% -XX:NewRatio=2 -XX:+AggressiveHeap

rem set sysprops= %sysprops% -XX:CompileThreshold=100

rem set sysprops= %sysprops% -verbose:GC -XX:+PrintGCDetails -XX:+PrintGCTimeStamps

set sysprops= %sysprops% -Djava.net.preferIPv4Stack=true



%JAVA% %sysprops% -cp "%CLASSPATH%" com.sseinfo.lddsidc.boot.Main ../conf/vde.json  ../conf/log4j-vde.properties
pause;

